Subject: Re: bug#18964: 25.0.50; vc-dir doesn't ignore "ignored" files

From: Dmitry Gutov <[email-masked]>
Date: Thu, 06 Nov 2014 17:06:49 +0200

Tom Tromey <[email-masked]> writes:

> I did vc-dir on a project that has "*.elc" it its .gitignore.
> These files are all mentioned in the vc-dir buffer as "ignored".
>
> I think these files should be invisible by default.
> I've already asked to ignore them, and having them in the buffer makes
> it harder to see what I'm really interested in.

This should only happen if these files were listed as "unregistered"
during the current session. Which is behavior similar to what happens
with the up-to-date status.

Maybe we also should make `vc-dir-hide-up-to-date' hide the ignored
files, too.